Subject: Re: [PATCH net-next 0/8] net/mlx5: Prepare eswitch infrastructure for satellite PF support

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 May 2026 15:41:41 -0700

On Fri, 15 May 2026 12:36:50 +0300 Moshe Shemesh wrote:
> Now we have a new Smartnic configuration that adds another physical 
> function, on the DPU, that is not eswitch manager and not page manager. 
> The new PF can have its own SFs and the customer can passthrough this 
> Satellite PF to a VM on the DPU and give it to a user that should not 
> have access to the ECPF privileged function.
> As will be shown in the next patchset, the ECPF handles the Satellite PF 
> and the Host PF in a similar way, using the same management framework.

Makes sense! Please respin with this in the cover letter and the
clarification in patch 2. Thanks!